package staticanalysis;

import org.junit.Test;

import java.io.File;
import java.io.IOException;

import static org.apache.commons.io.FileUtils.readFileToString;
import static org.assertj.core.api.Assertions.assertThat;

public class PomShouldNotDependOnParentTest {

    @Test
    public void pomShouldNotDependOnParent() throws IOException {
        assertThat(readFileToString(new File("pom.xml"))).doesNotContain("<parent>");
    }

    @Test
    public void usesActiveMQInternalBroker() throws IOException {
        assertThat(readFileToString(new File("pom.xml"))).contains("<jmsBrokerType>INTERNAL</jmsBrokerType>");
    }
}
